package model

import (
	"io/ioutil"

	"gopkg.in/yaml.v3"
)

type Config struct {
	BirthdayFile string `yaml:"birthday_file"`
}

func ReadConfig(path string) (*Config, error) {
	fileBytes, err := ioutil.ReadFile(path)
	if err != nil {
		return nil, err
	}

	var config *Config
	if err := yaml.Unmarshal(fileBytes, &config); err != nil {
		return nil, err
	}

	return config, nil
}
